Bug 641011 - Dashboard: Serious issues after adding a Group as a favorite
Dashboard: Serious issues after adding a Group as a favorite
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.0.0
All All
medium Severity high (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Corey Welton
:
Depends On:
Blocks: rhq4 jon30-dashboard
  Show dependency treegraph
 
Reported: 2010-10-07 10:13 EDT by Corey Welton
Modified: 2011-05-23 21:13 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2010-10-07 10:13:39 EDT
Description of problem:
If user attempts to "favorite" a group and views the Favorites portlet in the dashboard, s/he notes that only a single resource from that group appears in the portlet.  Other general instability is/may be exhibited too, as noted below.

Version-Release number of selected component (if applicable):


How reproducible:
Every time

Steps to Reproduce:
1.  Create compatible groups for each of: platform, server, services.  Assure you have multiple of each type in the group
2.  Inventory > Compatible Groups > $name_of_group
3.  Click the "Favorite" badge
4.  Navigate back to your dashboard;  view the Favorites portlet (or add one if you don't already have it.)
5. Repeat steps 2-4 for each of your compatible groups
  
Actual results:
* Instead of the group itself showing up in the portlet, a lone resource appears.  For example, if I try to badge "Platform Group", and then view results, I get one Favorite for, say, "core-01.usersys.redhat.com" -- not the Group itself.
* (maybe) Badging a group seems to wipe out any other "groups" that have been badged already, i.e., if i favorite the Platform Group, and then Favorite the Server Group, only the latter (in the aforementioned busted state) shows up.  Not quite 100% sure of the heuristic on this.
* (maybe) This behavior, combined with another non-group already in the favorites -- for example, badge a host file and then badge a Platform Group -- seems to cause the dashboard to be unresponsive - it never returns.


Expected results:

Working and/or stable badging of groups/resources

Additional info:
This may not be a dashboard bug, per se, but dashboard is the only place one can (currently) see the favorites.  Also, as noted above, the dashboard can end up severely hanging from this.
Comment 1 Jay Shaughnessy 2011-03-31 17:06:39 EDT
I think these issues are resolved via ongoing work on favorites etc.  The Favorite Resources portlet only lists favorite resources, not groups or group members. Badging of groups seems not to affect the portlet.  Also, badged groups and resources are showing up as expected in the favorites button.
Comment 2 Mike Foley 2011-04-13 10:17:19 EDT
verified through interactive testing
Comment 3 Corey Welton 2011-05-23 21:13:46 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 4 Corey Welton 2011-05-23 21:13:47 EDT
Bookkeeping - closing bug - fixed in recent release.
Comment 5 Corey Welton 2011-05-23 21:13:47 EDT
Bookkeeping - closing bug - fixed in recent release.

Note You need to log in before you can comment on or make changes to this bug.